SOLVED PHPMyAdmin on CPanel / WHM how to update system PHP version

Operating System & Version
CentOS 7.9
cPanel & WHM Version
100.0.9

martin MHC

Well-Known Member
Sep 14, 2016
257
59
78
UK
cPanel Access Level
Root Administrator
I have PHPMyAdmin and it claims to be running PHP 7.3 . According to This thread it is because the System PHP level is 7.3 .

I am looking to remove PHP 7.3 from the system (EasyApache4) . Can I do this or do I need to wait for a WHM centralised update to update the system level PHP.

Note: The installed PHPs used with EasyApache are 7.3 , 7.4 , 8.0 and 8.1 I would be looking at uninstalling 7.3 but am unclear if this will impact WHM/Cpanel or PHPMyAdmin ?

If I can't update this myself is there any advisory on timescales for WHM/CPanel to use 7.4 or 8.0 PHP?

Thanks

To make it absolutely clear; thisis not about account level PHP . I am looking to uninstall EA4 PHP 7.3 and would like confirmation that this would not impact PHPMyAdmin (or anything else at above account level)
 

martin MHC

Well-Known Member
Sep 14, 2016
257
59
78
UK
cPanel Access Level
Root Administrator
After a bit of consideration; I fully expect that removing PHP7.3 from EA4 will not effect PHPMyAdmin or anything else at sytem level but wanted to confirm this? The more I think about it the more certain I am that this is fine.
 
Last edited:

quietFinn

Well-Known Member
Feb 4, 2006
1,653
326
438
Finland
cPanel Access Level
Root Administrator
After a bit of consideration; I fully expect that removing PHP7.3 from EA4 will not effect PHPMyAdmin or anything else at sytem level but wanted to confirm this? The more I think about it the more certain I am that this is fine.
It is fine, cPanel has it's own PHP.